import request from '@/utils/request'
//新增
export function Add(data) {
  return request({
    url: '/Snapshotconfig/Add',
    method: 'post',
    data:data

  })
}
//修改
export function Update(data) {
    return request({
      url: '/Snapshotconfig/Update',
      method: 'post',
      data
    })
  }
  //删除
export function Delete(data) {
    return request({
      url: '/Snapshotconfig/Delete',
      method: 'post',
      data
    })
  }


//新增关联
export function AddRel(data) {
    return request({
      url: '/Snapshotconfig/AddRel',
      method: 'post',
      data
    })
  }
//修改关联
export function UpdateRel(data) {
    return request({
        url: '/Snapshotconfig/UpdateRel',
        method: 'post',
        data
    })
}
  //删除关联
  export function DeleteRel(data) {
    return request({
      url: '/Snapshotconfig/DeleteRel',
      method: 'post',
      data
    })
  }
//查询快照配置
export function LoadSnapshotconfig(params) {
    return request({
      url: '/Snapshotconfig/LoadSnapshotconfig',
      method: 'get',
      params
    })
  }
  //查询快照配置数据
export function GetSnapshotGeoJson(params) {
    return request({
      url: '/Snapshotconfig/GetSnapshotGeoJson',
      method: 'get',
      params
    })
  }
//框选查询功能
export function CircleSelectGeoJson(data) {
  return request({
    url: '/ShpManager/CircleSelectGeoJson',
    method: 'post',
    data
  })
}
  //查询表数据
  export function SearchShpTable(params) {
    return request({
      url: '/ShpManager/SearchShpTable',
      method: 'get',
      params
    })
  }


  //查询详情
export function GetModel(params) {
  return request({
    url: '/Snapshotconfig/GetModel',
    method: 'get',
    params
  })
}

  //查询关联表数据
  export function LoadRelData(params) {
    return request({
      url: '/Snapshotconfig/LoadRelData',
      method: 'get',
      params
    })
  }